
%global meadversion 1.1.1
%global namedversion 1.1.1.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}jboss-transaction-api_1.2_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.1.1.Final-redhat-1

Name:           %{?scl_prefix}jboss-transaction-api_1.2_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java Transaction API
Group:          Development/Java

%if %with mead
Source100: jboss-transaction-api_1.2_spec-1.1.1.Final-redhat-1-scm-sources.zip
Source102: jboss-transaction-api_1.2_spec-1.1.1.Final-redhat-1.jar
Source103: jboss-transaction-api_1.2_spec-1.1.1.Final-redhat-1-project-sources.tar.gz
Source104: jboss-transaction-api_1.2_spec-1.1.1.Final-redhat-1.pom
Source105: jboss-transaction-api_1.2_spec-1.1.1.Final-redhat-1-javadoc.jar
Source106: jboss-transaction-api_1.2_spec-1.1.1.Final-redhat-1-sources.jar
%endif

License:        CDDL-1.0 or GPLv2+ with exceptions
URL:            https://github.com/jboss/jboss-transaction-api_spec
Requires:       %{?scl_prefix_eap}jboss-interceptors-api_1.2_spec >= 0:1.0.0
%if 0
Requires:       %{?scl_prefix_eap}cdi-api >= 0:1.1
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-transaction-api_1.2_spec-%{namedversion}-%{release}-root

%description
The Java Transaction 1.2 API classes.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-transaction-api_1.2_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-transaction-api_spec -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-transaction-api_1.2_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-transaction-api_1.2_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-transaction-api_1.2_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-transaction-api_1.2_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-transaction-api_1.2_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-transaction-api_1.2_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-transaction-api_1.2_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-transaction-api_1.2_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-transaction-api_1.2_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-transaction-api_1.2_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-transaction-api_1.2_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-transaction-api_1.2_spec
%defattr(0644,root,root,0755)
%doc LICENSE.txt README
%{_javadir}/jboss-transaction-api_1.2_spec-%{namedversion}.jar
%{_javadir}/jboss-transaction-api_1.2_spec.jar
%if %with javadoc
%{_javadir}/jboss-transaction-api_1.2_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-transaction-api_1.2_spec-javadoc.jar
%endif
%{_javadir}/jboss-transaction-api_1.2_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-transaction-api_1.2_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-transaction-api_1.2_spec-%{namedversion}
%{_javadocdir}/jboss-transaction-api_1.2_spec
%endif

%changelog
* Mon Jun 25 2018 Yong Yang <yyang@redhat.com> - 1.1.1-1.Final_redhat_1.1
-  1.1.1.Final-redhat-1 for eap 7.2.0

* Tue Nov 07 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-3.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Fri Oct 13 2017 Permaine Cheung <pcheung@redhat.com> - 1.0.1-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Tue Jan 24 2017 Petr Sakar <psakar@redhat.com> - 1.0.1-1.Final_redhat_1.1
- upgrade to 1.0.1.Final-redhat-1

* Fri Jun 12 2015 David Walluck <dwalluck@redhat.com> - 1.0.0-2.Final_redhat_1.1
- fix Requires

* Fri Jun 12 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- Initial build

* Thu Jun 11 2015 Hui Wang <huwang@redhat.com> - 1.0.0-1.Final_redhat_1.1
- release
